be.zetes.zseidlib.beid

## Enum HashAlgo

- java.lang.Object
- - java.lang.Enum<HashAlgo>
  - - be.zetes.zseidlib.beid.HashAlgo

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HashAlgo>

      public enum HashAlgo
      extends java.lang.Enum<HashAlgo>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HASH_ALGO_NONE`
    `HASH_ALGO_RIPEMD160`
    `HASH_ALGO_SHA_256`
    `HASH_ALGO_SHA_384`
    `HASH_ALGO_SHA_512`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HashAlgo` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HashAlgo[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HASH_ALGO_NONE

          public static final HashAlgo HASH_ALGO_NONE

    - #### HASH_ALGO_SHA_256

          public static final HashAlgo HASH_ALGO_SHA_256

    - #### HASH_ALGO_SHA_384

          public static final HashAlgo HASH_ALGO_SHA_384

    - #### HASH_ALGO_SHA_512

          public static final HashAlgo HASH_ALGO_SHA_512

    - #### HASH_ALGO_RIPEMD160

          public static final HashAlgo HASH_ALGO_RIPEMD160

  - ### Method Detail

    - #### values

          public static HashAlgo[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HashAlgo c : HashAlgo.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HashAlgo valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null